View Issue Details

IDProjectCategoryView StatusLast Update
0002286Infinitode 2[All Projects] Infinitode 2public2024-02-20 20:09
Reportertherainycat Assigned Totherainycat  
PrioritynormalSeverityminorReproducibilityrandom
Status feedbackResolutionopen 
Product Version 
Target Version1.9.0 (Season 3)Fixed in Version 
Summary0002286: General balance issues
Description

This is a thread for any thoughts on the new balance - leave comments for a broken / underperforming / overpowered towers / abilities and any other stuff that should be fixed to make balance better.

Steps To Reproduce
  1. Play the game
  2. Notice how your belowed Venom lacks 1px of Posonous Cloud ability aura range buff
  3. Complain in comments
Additional Information

Any suggestions are welcome
Don't comment on this issue if you've never played 1.9 Beta, and don't ask where to get 1.9 Beta - open testing will start soon anyways

TagsBalance

Activities

ZiHeLL

ZiHeLL

2024-02-02 02:14

reporter   ~0002186

-------ABILITIES-------
Magnet is absolutely useless as a 2 energy cost ability.
There is a very limited amount of towers it affects (practically 5 towers), it doesn't scale from your peak damage, and there aren't any real single target threats it could be used on.
It should probably cost 1 energy. That would at least make it at least a consideration as a coin generator.

Another overpriced/underused ability is Windstorm. There is no real reason why an enemy can be affected by Windstorm(s) only once, instead of up to 3 times, and with buffs to Blizzard it might not even be as good at stalling enemies despite costing more. Blizzard itself, on the other hand, is doing great now.
Windstorm buff in 1.9 promotes its use for defense instead of stalling, but at 3 energy it cannot compete with Fire Storm, or Smoke Bomb. It relies on enemies having gained no knockback immunity, and doesn't actually provide significant defending advantage. The towers that could take advantage of enemy stacking are very limited in count and ability to actually get value from stacked enemies.

Another pair of questionable abilities, Bullet Wall and LOIC. It is a bit silly to have 2 abilities heavily favouring vertical maps in a game that is locked to horizontal orientation. And while LOIC has great damage potential at least, Bullet Wall really can't offer much nor can it be fixed with a number change.
LOIC buff in 1.9 doesn't really do much - economy is most important in earlier stages of the game, while the main point of LOIC is incredible damage potential, far surpassing any other ability, but very awkward to use.
Bullet Wall buff needs more testing. There probably will be levels where it is used regardless.

------------------TOWERS-----------------------
Cannon still feels terrible.
Missile might be decent - it definitely feels better to use now.
Flamethrower is very awkward now, it is really hard to make it spread the fire debuff because it doesn't switch targets like Venom, but forcing it leads to no enemies with the debuff instead. Solution - make it it constantly search for enemies that are not on fire, unless Cold Fire is selected.
Venom with Fast Shells (third ability) can act as a single target DPS tower, but it still wants to do AoE and poison everything, which is counterproductive.
Considering the bonus system, Sniper is still very strong. All of its abilities are now very efficient, so it goes out of control with "the bonus". The easiest change I could see is a nerf to Killshot, maybe? That way it will only be weaker on higher levels.
Personally, I would also improve explosion piercing by 5% globally, just to see if that is too gamebreaking. So far, it doesn't seem it would be problematic.



image.png (29,321 bytes)
image.png (29,321 bytes)
image-2.png (45,846 bytes)
image-2.png (45,846 bytes)
image-3.png (95,168 bytes)
image-3.png (95,168 bytes)

Issue History

Date Modified Username Field Change
2023-12-20 23:32 therainycat New Issue
2023-12-20 23:32 therainycat Status new => assigned
2023-12-20 23:32 therainycat Assigned To => therainycat
2023-12-20 23:32 therainycat Tag Attached: Balance
2024-01-02 16:03 therainycat Status assigned => feedback
2024-02-02 02:14 ZiHeLL File Added: image.png
2024-02-02 02:14 ZiHeLL File Added: image-2.png
2024-02-02 02:14 ZiHeLL File Added: image-3.png
2024-02-02 02:14 ZiHeLL Note Added: 0002186
2024-02-20 20:09 therainycat Project Infinitode 2 v.1.9 Beta => Infinitode 2